Name:		din
Version:        1.4.3
Release:        1%{?dist}
Summary:        A musical instrument using multiple Bezier curves

Group:          Applications/Multimedia
License:        GPLv2
URL:            http://www.dinisnoise.org
Source0:        http://din.googlecode.com/files/din-1.4.3.tar.gz
Patch0:		din-build.patch
Patch1:		din-libs.patch
Patch2:		din-data.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  tcl-devel libircclient SDL-devel liblo-devel
BuildRequires:	jack-audio-connection-kit-devel mesa-libGL-devel


%description

din ("din is noise") is a "tone board" making the rectangular plane of
its screen into a field of sound you can transform. The video above
just begins to show some of what it can do. Pixels can be tones,
transformed onscreen. A resonator editor uses Bezier curves to edit
sounds across octaves. Each resonator, in turn, can be edited with yet
more Bezier curves. Put them together into the drone editor (the bit
you see in the video), and you can create vast, sculpted soundscapes
from series of rectangles dragged around between octaves. (Description
taken from Create Digital Music by Peter Kirn)

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1 

%build
%configure --localstatedir=/usr/share
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README TODO CHANGELOG AUTHORS COPYING BUGS
%{_bindir}/din
%{_bindir}/checkdotdin
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*

%changelog
* Sun Feb 13 2011 Adam Huffman <bloch@verdurin.com> - 1.4.3-1
- initial version
- look in Fedora location for Tcl headers
- store data in /usr/share, not /var
